> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch adminsettingapp config

> Update one App Builder configuration section

Required token scopes: `instance|update`



## OpenAPI

````yaml /swagger.json patch /admin/setting/app-config
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/setting/app-config:
    patch:
      tags:
        - admin
      description: |-
        Update one App Builder configuration section

        Required token scopes: `instance|update`
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    section:
                      type: string
                      enum:
                        - engine
                    patch:
                      type: object
                      properties:
                        vercelToken:
                          type: string
                          nullable: true
                        deployProvider:
                          type: string
                          nullable: true
                          enum:
                            - vercel
                            - docker-runtime
                  required:
                    - section
                    - patch
                - type: object
                  properties:
                    section:
                      type: string
                      enum:
                        - customDomain
                    patch:
                      type: object
                      properties:
                        customDomain:
                          type: string
                          nullable: true
                  required:
                    - section
                    - patch
                - type: object
                  properties:
                    section:
                      type: string
                      enum:
                        - appAuth
                    patch:
                      type: object
                      properties:
                        appAuth:
                          type: object
                          nullable: true
                          properties:
                            google:
                              type: object
                              properties:
                                clientId:
                                  type: string
                                clientSecret:
                                  type: string
                            emailOtp:
                              type: object
                              properties:
                                smtp:
                                  type: object
                                  properties:
                                    senderName:
                                      type: string
                                    sender:
                                      type: string
                                    host:
                                      type: string
                                    port:
                                      type: number
                                    secure:
                                      type: boolean
                                    auth:
                                      type: object
                                      properties:
                                        user:
                                          type: string
                                        pass:
                                          type: string
                                      required:
                                        - user
                                        - pass
                                  required:
                                    - sender
                                    - host
                                    - port
                                    - auth
                  required:
                    - section
                    - patch
                - type: object
                  properties:
                    section:
                      type: string
                      enum:
                        - branding
                    patch:
                      type: object
                      properties:
                        badgeEnabled:
                          type: boolean
                      required:
                        - badgeEnabled
                  required:
                    - section
                    - patch
      responses:
        '200':
          description: Update App Builder configuration section successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  appConfig:
                    type: object
                    properties:
                      vercelToken:
                        type: string
                      customDomain:
                        type: string
                      deployProvider:
                        type: string
                        enum:
                          - vercel
                          - docker-runtime
                      appAuth:
                        type: object
                        properties:
                          google:
                            type: object
                            properties:
                              clientId:
                                type: string
                              clientSecret:
                                type: string
                          emailOtp:
                            type: object
                            properties:
                              smtp:
                                type: object
                                properties:
                                  senderName:
                                    type: string
                                  sender:
                                    type: string
                                  host:
                                    type: string
                                  port:
                                    type: number
                                  secure:
                                    type: boolean
                                  auth:
                                    type: object
                                    properties:
                                      user:
                                        type: string
                                      pass:
                                        type: string
                                    required:
                                      - user
                                      - pass
                                required:
                                  - sender
                                  - host
                                  - port
                                  - auth
                      badgeEnabled:
                        type: boolean
                required:
                  - appConfig
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PATCH \
              --url https://app.teable.ai/api/admin/setting/app-config \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"section":"engine","patch":{"vercelToken":"string","deployProvider":"vercel"}}'
        - lang: JavaScript
          source: |-
            const url = 'https://app.teable.ai/api/admin/setting/app-config';
            const options = {
              method: 'PATCH',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"section":"engine","patch":{"vercelToken":"string","deployProvider":"vercel"}}'
            };

            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: >-
            const http = require('https');


            const options = {
              method: 'PATCH',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/setting/app-config',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };


            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });


            req.write(JSON.stringify({section: 'engine', patch: {vercelToken:
            'string', deployProvider: 'vercel'}}));

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"section\":\"engine\",\"patch\":{\"vercelToken\":\"string\",\"deployProvider\":\"vercel\"}}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("PATCH", "/api/admin/setting/app-config", payload,
            headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````